INTERFACE
SUBROUTINE CPG_END_TL(&
 & KST,KEND,KSTC,KENDC,KSTGLO,&
 & PGM,&
 & PD3Y0,PRRED0,PGPHL,PGPHM,PWW0,&
 & PGFL,PGPPC,PGMV,PGMVS) 
USE PARKIND1 , ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA ,NPROMNH ,NFGPPC
USE YOM_YGFL , ONLY : YGFL
USE YOMGMV
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KEND
INTEGER(KIND=JPIM),INTENT(IN) :: KSTC
INTEGER(KIND=JPIM),INTENT(IN) :: KENDC
INTEGER(KIND=JPIM),INTENT(IN) :: KSTGLO
REAL(KIND=JPRB) ,INTENT(IN) :: PGM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PD3Y0(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRRED0(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PGPHL(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PGPHM(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PWW0(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGFL(NPROMA,NFLEVG,YGFL%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGPPC(NPROMA,NFGPPC+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMV(NPROMA,NFLEVG,NDIMGMV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMVS(NPROMA,NDIMGMVS)
END SUBROUTINE CPG_END_TL
END INTERFACE
